Get place reviews
curl --request GET \
--url https://scrapebadger.com/v1/google/maps/reviews \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/google/maps/reviews"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/google/maps/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"current": 1,
"next": "<string>",
"total_results": 123,
"total_pages": 123,
"page_no": {}
},
"location": {
"title": "<string>",
"address": "<string>",
"rating": 123,
"reviews_count": 123
},
"topics": [
{
"keyword": "<string>",
"mentions": 0,
"id": "<string>"
}
],
"reviews": [
{
"rating": 123,
"text": "<string>",
"date": "<string>",
"iso_date": "<string>",
"user": {
"name": "<string>",
"contributor_id": "<string>",
"thumbnail": "<string>",
"local_guide": false,
"reviews_count": 123,
"photos_count": 123
},
"likes": 0,
"images": [
"<string>"
],
"response_from_owner": {
"text": "<string>",
"date": "<string>"
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Maps
Get place reviews
Get place reviews
GET
/
v1
/
google
/
maps
/
reviews
Get place reviews
Authorizations
Query Parameters
Google Maps data ID (0x...:0x...)
Sort order
Available options:
qualityScore, newestFirst, ratingHigh, ratingLow Language code
Country code
Pagination token from previous response
Review offset (0-based)
Required range:
x >= 0Reviews per page
Required range:
1 <= x <= 20Response
Successful Response
Response for GET /api/v1/maps/reviews.
⌘I

